Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Customers

  • List customers

  • Create customer

  • Bulk create customers

  • Bulk delete customers

  • Bulk retrieve customers

  • Bulk update customers

  • Search customers

  • Delete customer

  • Retrieve customer

  • Update customer

  • Remove group from customer

  • Add group to customer

  • Webhooks

  • customer.created

  • customer.deleted

  • customer.updated

<- Customers API

Customers API

All versions ->

Bulk delete customers

POST

 /v2/customers/bulk-delete

Deletes multiple customer profiles.

The endpoint takes a list of customer IDs and returns a map of responses.

Permissions:CUSTOMERS_WRITE

Guide

Delete customer profiles

Try in API Explorer
Link to section

Request body

Example code

Link to section

customer_ids

string [ ]

Required

The IDs of the customer profiles to delete.

Min Length
1
Max Length
100
Link to section

Response fields

Link to section

responses

A map of responses that correspond to individual delete requests, represented by key-value pairs.

Each key is the customer ID that was specified for a delete request and each value is the corresponding response. If the request succeeds, the value is an empty object ({ }). If the request fails, the value contains any errors that occurred during the request.

Link to section

errors

Any top-level errors that prevented the bulk operation from running.

Link to section

Examples

All versions ->

POST /v2/customers/bulk-delete
curl https://connect.squareup.com/v2/customers/bulk-delete \ -X POST \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "customer_ids": [ "8DDA5NZVBZFGAX0V3HPF81HHE0", "N18CPRVXR5214XPBBA6BZQWF3C", "2GYD7WNXF7BJZW1PMGNXZ3Y8M8" ] }'

Response JSON

{ "responses": { "8DDA5NZVBZFGAX0V3HPF81HHE0": {}, "2GYD7WNXF7BJZW1PMGNXZ3Y8M8": { "errors": [ { "code": "NOT_FOUND", "detail": "Customer with ID `2GYD7WNXF7BJZW1PMGNXZ3Y8M8` not found.", "category": "INVALID_REQUEST_ERROR" } ] }, "N18CPRVXR5214XPBBA6BZQWF3C": {} } }